Package tigase.io

# Enum Class SSLContextContainer.HARDENED_MODE

java.lang.Object
java.lang.Enum<SSLContextContainer.HARDENED_MODE>
tigase.io.SSLContextContainer.HARDENED_MODE

All Implemented Interfaces:
  `Serializable`, `Comparable<SSLContextContainer.HARDENED_MODE>`, `Constable`

Enclosing class:
  SSLContextContainer

public static enum SSLContextContainer.HARDENED_MODE extends Enum<SSLContextContainer.HARDENED_MODE>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `global`
  `relaxed`
  `secure`
  `strict`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SSLContextContainer.HARDENED_MODE`
  `getDefault()`
  `static SSLContextContainer.HARDENED_MODE`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SSLContextContainer.HARDENED_MODE[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### global

    public static final SSLContextContainer.HARDENED_MODE global

  - ### relaxed

    public static final SSLContextContainer.HARDENED_MODE relaxed

  - ### secure

    public static final SSLContextContainer.HARDENED_MODE secure

  - ### strict

    public static final SSLContextContainer.HARDENED_MODE strict

- ## Method Details

  - ### values

    public static SSLContextContainer.HARDENED_MODE[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SSLContextContainer.HARDENED_MODE valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDefault

    public static SSLContextContainer.HARDENED_MODE getDefault()